package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.model.KnowledgeFlowRecord;
import com.supervision.knowsub.vo.knowledge.KnowledgeFlowResVO;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.Instant;
import java.time.LocalDateTime;

public interface KnowledgeFlowService {

    IPage<KnowledgeFlowResVO> queryKnowledgeFlowPage(Integer processStatus,String title, String publishDeptId, String baseId, String submittedDeptId, Instant flowType,
                                                     LocalDateTime publishDateBegin, LocalDateTime publishDateEnd,
                                                     Integer pageNum, Integer pageSize);
}
