package com.supervision.knowsub.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.model.Knowledge;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
* @author Administrator
* @description 针对表【ks_knowledge(知识表)】的数据库操作Mapper
* @createDate 2024-06-24 11:35:15
* @Entity com.supervision.knowsub.model.Knowledge
*/
public interface KnowledgeMapper extends BaseMapper<Knowledge> {

    IPage<Knowledge> queryKnowledgePage(@Param("status") Integer status,
                                        @Param("title") String title,
                                        @Param("publishDeptId") String publishDeptId,
                                        @Param("baseId") String baseId,
                                        @Param("submittedDeptId") String submittedDeptId,
                                        @Param("publishDateBegin") LocalDateTime publishDateBegin,
                                        @Param("publishDateEnd") LocalDateTime publishDateEnd,
                                        @Param("userId") String userId, Page<Knowledge> page);

}




