package com.supervision.knowsub.vo.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Data
public class UserInfoResVo {

    @Schema(description = "用户id")
    private String id;

    @Schema(description = "用户账户")
    private String account;

    @Schema(description = "用户名称")
    private String username;

    @Schema(description = "用户角色编码，0管理员 1普通用户")
    private String roleId;

    @Schema(description = "人员所属部门ID")
    private String deptId;

    @Schema(description = "备注")
    private String remark;

}
